/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.cassandra.io;

/**
 * Section of a file that needs to be scanned
 * is represented by this class.
*/
public class Coordinate
{
    public final long start_;
    public final long end_;
    
    Coordinate(long start, long end)
    {
        start_ = start;
        end_ = end;
    }

    public String toString()
    {
        return "Coordinate(" +
               "start_=" + start_ +
               ", end_=" + end_ +
               ')';
    }
}
